Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1093997 - CPU hot plug "tool tip", in VM edit dialogue, is not clear.
Summary: CPU hot plug "tool tip", in VM edit dialogue, is not clear.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Roy Golan
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks: 1114877 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-04 07:41 UTC by Ilanit Stein
Modified: 2015-02-17 08:28 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.5.0-beta1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1114877 (view as bug list)
Environment:
Last Closed: 2015-02-17 08:28:05 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screen shot (deleted)
2014-05-04 07:58 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29411 master MERGED ui: improve hot plug cpu wording Never
oVirt gerrit 29436 ovirt-engine-3.4 MERGED ui: improve hot plug cpu phrasing Never

Description Ilanit Stein 2014-05-04 07:41:01 UTC
Description of problem:

CPU hot plug "tool tip", in VM edit dialogue, 2nd sentence, 
"The support for hot plug/unplug CPUs to the guest varies"
is not clear.
I'd suggest to remove it.

Full "tool tip" message:
"Hot set CPUs by changing the number of sockets. The support for hot plug/unplug CPUs to the guest varies"

Version-Release number of selected component (if applicable):
av8.1

Comment 1 Ilanit Stein 2014-05-04 07:58:39 UTC
Created attachment 892260 [details]
screen shot

Comment 2 Michal Skrivanek 2014-05-05 13:23:12 UTC
Why would you remove it? We do want to say that e.g. on some specific Windows versions the behavior is not really clear (they may support only certain numbers), older RHEL won't support it at all, and all OSes do not support unplug. We can't detail every OS in the tooltip, so it's supposed to be just a hint to not expect it working in all circumstances and better consult docs.

Comment 3 Roy Golan 2014-05-07 07:53:21 UTC
recommend to replace the last sentence with "please consult the docs for the guest OS support" . Scott, would you mind polishing the wording?

Comment 4 Scott Herold 2014-05-08 18:37:03 UTC
Full "tool tip" message:
"Hot add CPUs by changing the number of sockets. Please consult documentation for your guest operating system to ensure it has proper support for CPU Hot Add"

I modified the first sentence as well from "Hot set..." to "Hot add...".  The former implies that we can set in either direction, when for 3.4, we can only add, and not remove.

Comment 5 Roy Golan 2014-05-15 09:37:33 UTC
> I modified the first sentence as well from "Hot set..." to "Hot add...". 
> The former implies that we can set in either direction, when for 3.4, we can
> only add, and not remove.

added a comment to https://bugzilla.redhat.com/show_bug.cgi?id=1097589 to make sure the tooltip is fixed

Comment 10 Omer Frenkel 2015-02-17 08:28:05 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.